Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.datetime.parser
Class DateTimeParser

    java.lang.Object
      org.apache.james.mime4j.field.datetime.parser.DateTimeParser

All Implemented Interfaces:
  DateTimeParserConstants

    public class DateTimeParser

extends java.lang.Object
implements DateTimeParserConstants

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`DateTimeParserTokenManager` | `token_source`

Fields inherited from interface org.apache.james.mime4j.field.datetime.parser.DateTimeParserConstants
`ANY, COMMENT, DEFAULT, DIGITS, EOF, INCOMMENT, MILITARY_ZONE, NESTED_COMMENT, OFFSETDIR, QUOTEDPAIR, tokenImage, WS`

Constructor Summary
`DateTimeParser(DateTimeParserTokenManager tm)`
`DateTimeParser(java.io.InputStream stream)`
`DateTimeParser(java.io.InputStream stream, java.lang.String encoding)`
`DateTimeParser(java.io.Reader stream)`

Method Summary
`DateTime` | `date_time()`
`org.apache.james.mime4j.field.datetime.parser.DateTimeParser.Date` | `date()`
`java.lang.String` | `day_of_week()`
`int` | `day()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`int` | `hour()`
`static void` | `main(java.lang.String[] args)`
`int` | `minute()`
`int` | `month()`
`int` | `obs_zone()`
`DateTime` | `parseAll()`
`DateTime` | `parseLine()`
`void` | `ReInit(DateTimeParserTokenManager tm)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)`
`void` | `ReInit(java.io.Reader stream)`
`int` | `second()`
`org.apache.james.mime4j.field.datetime.parser.DateTimeParser.Time` | `time()`
`java.lang.String` | `year()`
`int` | `zone()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public DateTimeParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### DateTimeParser

    public DateTimeParser(java.io.InputStream stream)

### DateTimeParser

    public DateTimeParser(java.io.InputStream stream,
                          java.lang.String encoding)

### DateTimeParser

    public DateTimeParser(java.io.Reader stream)

### DateTimeParser

    public DateTimeParser(DateTimeParserTokenManager tm)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws ParseException

  Throws:
    `ParseException`

### parseLine

    public final DateTime parseLine()
                             throws ParseException

  Throws:
    `ParseException`

### parseAll

    public final DateTime parseAll()
                            throws ParseException

  Throws:
    `ParseException`

### date_time

    public final DateTime date_time()
                             throws ParseException

  Throws:
    `ParseException`

### day_of_week

    public final java.lang.String day_of_week()
                                       throws ParseException

  Throws:
    `ParseException`

### date

    public final org.apache.james.mime4j.field.datetime.parser.DateTimeParser.Date date()
                                                                                 throws ParseException

  Throws:
    `ParseException`

### day

    public final int day()
                  throws ParseException

  Throws:
    `ParseException`

### month

    public final int month()
                    throws ParseException

  Throws:
    `ParseException`

### year

    public final java.lang.String year()
                                throws ParseException

  Throws:
    `ParseException`

### time

    public final org.apache.james.mime4j.field.datetime.parser.DateTimeParser.Time time()
                                                                                 throws ParseException

  Throws:
    `ParseException`

### hour

    public final int hour()
                   throws ParseException

  Throws:
    `ParseException`

### minute

    public final int minute()
                     throws ParseException

  Throws:
    `ParseException`

### second

    public final int second()
                     throws ParseException

  Throws:
    `ParseException`

### zone

    public final int zone()
                   throws ParseException

  Throws:
    `ParseException`

### obs_zone

    public final int obs_zone()
                       throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.InputStream stream,
                       java.lang.String encoding)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(DateTimeParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.